# $NetBSD: 2.1.conf,v 1.1 2005/10/22 15:52:43 riz Exp $
#
# Makefile fragment for CD sets; includes config information.

##############################################################################
# The names of the individual CD images, without ".iso".
# This also indicates the suffix of configuration variables later in this file
# which are CD-image specific.

CD_IMAGES=	multi-cd1 multi-cd2 multi-cd3
CD_IMAGES+=	acorn26cd acorn32cd algorcd alphacd amd64cd amigacd arccd 
CD_IMAGES+=	ataricd catscd cesficcd cobaltcd dreamcastcd evbarmcd 
CD_IMAGES+=	evbmips-mipsebcd evbmips-mipselcd evbppccd evbsh3-sh3ebcd 
CD_IMAGES+=	evbsh3-sh3elcd evbsh5-sh5elcd hp300cd hpcarmcd hpcmipscd hpcshcd
CD_IMAGES+=	i386cd ibmnwscd luna68kcd mac68kcd macppccd mipscocd mmeyecd 
CD_IMAGES+=	mvmeppccd mvme68kcd netwindercd news68kcd newsmipscd next68kcd 
CD_IMAGES+=	ofppccd pmaxcd pmppccd prepcd sandpointcd sbmips-mipsebcd 
CD_IMAGES+=	sbmips-mipselcd sgimipscd sharkcd sourcecd sparccd sparc64cd 
CD_IMAGES+=	sun2cd sun3cd vaxcd x68kcd

##############################################################################
# The maximum size of an individual CD.

CD_SIZE=	700000

##############################################################################
# The NetBSD release being packaged on this CD set.  This also implies
# inclusion of a config file for that release, named NetBSD-${CD_RELEASE}.mk.
# That file defines the various per-port specifics for that release.

CD_RELEASE=	2.1

##############################################################################
# The CD volume IDs for each CD-ROM image.  This will show up as the
# "volume label" on most operating systems.  This is REQUIRED for each image.
# Typically only 16 characters should be used for maximum OS compatibility.

.for image in ${CD_IMAGES}
VOLID.${image}=	NetBSD ${CD_RELEASE} CD ${image:S/^cd//}
.endfor

# The "abstract file" name.  If there is a file in the CD root describing
# use of the CD or booting info, this may be useful to some OS's.

#.for image in ${CD_IMAGES}
#ABSTRACT.${image}=	booting.txt
#.endfor

# The "copyright file" name.  If there is a file in the CD root describing
# the copyright of the contained files, this may be useful to some OS's.
# This usually needs ADDFILES to go along with it.

#.for image in ${CD_IMAGES}
#COPYRIGHT.${image}=	copyrght.txt
#ADDFILES.${image}+=	copyrght.txt:${.CURDIR}/extra/copyright.txt,link
#.endfor

# The "publisher name" field on the CD-ROM.  Room for 128 characters.

PUBLISHER=		The NetBSD Foundation, Inc. / http://www.NetBSD.org/

# The "preparer name" field on the CD-ROM.  Room for 128 characters.

PREPARER=		NetBSD CD Build System

##############################################################################
# The ports for which the base OS binaries will be included.
# MACHINE_ARCH shared distribution directories and the "ALL" shared
# distribution directory are added automatically where needed.
#
# The following ports, if included, will be bootable on their respective
# CD images:
#
#     alpha, amd64, cats, i386, macppc, pmax, sparc, sparc64, sun3, vax.
#
# Special notes on booting:
#
# * macppc and mac68k will cause the inclusion of HFS partition and
#   filesystem info on the CD, with automatic MacBinary probing and encoding.
#
# * macppc cannot boot on the same disc as either pmax or vax.
#   macppc uses the same locations in block 0 to store boot
#   information as pmax and vax.
#   This will cause a warning in the build, and macppc will override.
#
# * sparc64 cannot boot using default boot arguments on the same disc as
#   the sun3x model of sun3.  These platforms use the same partitions
#   in the Sun boot map by default.  This will cause a warning in the build,
#   and sparc64 machines will have to boot with "boot cdrom:g" instead of
#   "boot cdrom".

BASE_PORTS.multi-cd1=	i386 macppc sparc sparc64

BASE_PORTS.multi-cd2= alpha \
		amiga atari mac68k next68k sun3

BASE_PORTS.multi-cd3= amd64 \
		cobalt hpcmips pmax sgimips vax

BASE_PORTS.acorn26cd=acorn26
BASE_PORTS.acorn32cd=acorn32
BASE_PORTS.algorcd=algor
BASE_PORTS.alphacd=alpha
BASE_PORTS.amd64cd=amd64
BASE_PORTS.amigacd=amiga
BASE_PORTS.arccd=arc
BASE_PORTS.ataricd=atari
BASE_PORTS.catscd=cats
BASE_PORTS.cesficcd=cesfic
BASE_PORTS.cobaltcd=cobalt
BASE_PORTS.dreamcastcd=dreamcast
BASE_PORTS.evbarmcd=evbarm
BASE_PORTS.evbmips-mipsebcd=evbmips-mipseb
BASE_PORTS.evbmips-mipselcd=evbmips-mipsel
BASE_PORTS.evbsh3-sh3ebcd=evbsh3-sh3eb
BASE_PORTS.evbsh3-sh3elcd=evbsh3-sh3el
BASE_PORTS.evbsh5-sh5elcd=evbsh5-sh5el
BASE_PORTS.hp300cd=hp300
BASE_PORTS.hpcarmcd=hpcarm
BASE_PORTS.hpcmipscd=hpcmips
BASE_PORTS.hpcshcd=hpcsh
BASE_PORTS.i386cd=i386
BASE_PORTS.ibmnwscd=ibmnws
BASE_PORTS.luna68kcd=luna68k
BASE_PORTS.mac68kcd=mac68k
BASE_PORTS.macppccd=macppc
BASE_PORTS.mipscocd=mipsco
BASE_PORTS.mmeyecd=mmeye
BASE_PORTS.mvme68kcd=mvme68k
BASE_PORTS.mvmeppccd=mvmeppc
BASE_PORTS.netwindercd=netwinder
BASE_PORTS.news68kcd=news68k
BASE_PORTS.newsmipscd=newsmips
BASE_PORTS.next68kcd=next68k
BASE_PORTS.ofppccd=ofppc
BASE_PORTS.pmaxcd=pmax
BASE_PORTS.pmppccd=pmppc
BASE_PORTS.prepcd=prep
BASE_PORTS.sandpointcd=sandpoint
BASE_PORTS.sbmips-mipsebcd=sbmips-mipseb
BASE_PORTS.sbmips-mipselcd=sbmips-mipsel
BASE_PORTS.sgimipscd=sgimips
BASE_PORTS.sharkcd=shark
BASE_PORTS.sourcecd=source
BASE_PORTS.sparccd=sparc
BASE_PORTS.sparc64cd=sparc64
BASE_PORTS.sun2cd=sun2
BASE_PORTS.sun3cd=sun3
BASE_PORTS.vaxcd=vax
BASE_PORTS.x68kcd=x68k

.for image in ${CD_IMAGES}
#INTDIRS.${image}+=	packages
BASE_PORTS.${image}+=	CHANGES CHANGES-2.0 CHANGES-2.1 CHANGES.prev \
	LAST_MINUTE README.files
.endfor

##############################################################################
# These provide additional functionality to some host OS's that may or may
# not be desired in some cases.  Uncomment to enable, or comment out to
# disable.

# USE_ROCK_RIDGE adds -r to mkisofs to use full Un*x style pathnames and
# permissions.  For most situations, this is needed.

USE_ROCK_RIDGE=	yes

# USE_LONG_NAMES adds -l to mkisofs to use full 32-character ISO-9660 names.
# This allows some host OS's, particularly AmigaDOS, the ability to see long
# filenames in most cases.

USE_LONG_NAMES=	yes

# USE_TRANS_TBL adds -T to mkisofs to provide long names through the use of
# TRANS.TBL translation table files.  (These will automatically be hidden
# from Joliet and HFS trees.)  Typically this is not used in conjunction
# with USE_LONG_NAMES, but may be used if names still exceed 32 characters.

#USE_TRANS_TBL=	yes

# USE_JOLIET adds -J to mkisofs to provide Joliet long filename support for
# Microsoft Windows OS's

USE_JOLIET=	yes

# USE_APPLE_ISO adds -apple to mkisofs to provide the Apple ISO-9660
# Extensions.  This gives full MacOS attribute information to files without
# the overhead of full HFS.  (A disc that is forced into HFS mode by the
# presence of mac68k or macppc will use HFS, not the Apple ISO Extensions.)

USE_APPLE_ISO=	yes

# LOG_MKISOFS causes the mkisofs command to be logged in "extra verbose"
# mode (-v -v) to the image filename with .log appended.

#LOG_MKISOFS=	yes

##############################################################################
# "Easter egg" file.  If this option is present, the standard 32k end padding
# is replaced by a message in this file (no more than 16k), padded to 32k
# with null bytes.

#EASTER_EGG=	${.CURDIR}/extra/egg.txt

##############################################################################
